cascading.flow.tez.stream.element

## Class TezGroupGate

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Gate<Incoming,Outgoing>
    - - cascading.flow.stream.element.SpliceGate<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>
      - - cascading.flow.stream.element.GroupingSpliceGate
        - - cascading.flow.hadoop.stream.HadoopGroupGate
          - - cascading.flow.tez.stream.element.TezGroupGate

- All Implemented Interfaces:
    Collapsing, Window, ElementDuct, InputSource
  Direct Known Subclasses:
    TezCoGroupGate, TezGroupByGate

      public abstract class TezGroupGate
      extends HadoopGroupGate
      implements InputSource

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `GroupingSpliceGate.DelegatedTuple`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SortedListMultiMap<java.lang.Integer,org.apache.tez.runtime.api.LogicalInput>` | `logicalInputs`
    `protected org.apache.tez.runtime.library.output.OrderedPartitionedKVOutput` | `logicalOutput`

    - ### Fields inherited from class cascading.flow.hadoop.stream.HadoopGroupGate

      `closure, collector`

    - ### Fields inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `groupComparators, groupHasher, grouping, groupSortTuple, groupTuple, keyBuilder, keyEntry, keyFields, keyTuple, nullsAreNotEqual, sortBuilder, sortFields, tupleEntryIterator, valueComparators, valuesBuilder, valuesFields, valueTuple`

    - ### Fields inherited from class cascading.flow.stream.element.SpliceGate

      `flowProcess, incomingScopes, outgoingScopes, role, splice`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TezGroupGate(FlowProcess flowProcess, Splice splice, IORole role, org.apache.tez.runtime.api.LogicalOutput logicalOutput)`
    `TezGroupGate(FlowProcess flowProcess, Splice splice, IORole role, SortedListMultiMap<java.lang.Integer,org.apache.tez.runtime.api.LogicalInput> logicalInputs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected OutputCollector` | `createOutputCollector()`
    `void` | `initialize()`
    `void` | `prepare()`
    `protected abstract java.lang.Throwable` | `reduce()`
    `void` | `run(java.lang.Object input)`
    `protected void` | `wrapGroupingAndCollect(Duct previous, int ordinal, Tuple valuesTuple, Tuple groupKey)`

    - ### Methods inherited from class cascading.flow.hadoop.stream.HadoopGroupGate

      `accept, bind, complete, createClosure, receive, start, unwrapGrouping`

    - ### Methods inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `cleanup, createDefaultNarrowBuilder, createNarrowBuilder, createNulledBuilder, getDelegatedTuple, getKeyComparator, getNumDeclaredIncomingBranches, initComparators`

    - ### Methods inherited from class cascading.flow.stream.element.SpliceGate

      `equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingScopes, getSplice, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `getNext, getNextFor, receiveFirst`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### logicalOutput

          protected org.apache.tez.runtime.library.output.OrderedPartitionedKVOutput logicalOutput

    - #### logicalInputs

          protected SortedListMultiMap<java.lang.Integer,org.apache.tez.runtime.api.LogicalInput> logicalInputs

  - ### Constructor Detail

    - #### TezGroupGate

          public TezGroupGate(FlowProcess flowProcess,
                      Splice splice,
                      IORole role,
                      org.apache.tez.runtime.api.LogicalOutput logicalOutput)

    - #### TezGroupGate

          public TezGroupGate(FlowProcess flowProcess,
                      Splice splice,
                      IORole role,
                      SortedListMultiMap<java.lang.Integer,org.apache.tez.runtime.api.LogicalInput> logicalInputs)

  - ### Method Detail

    - #### initialize

          public void initialize()

      Overrides:
        `initialize` in class `GroupingSpliceGate`

    - #### prepare

          public void prepare()

      Overrides:
        `prepare` in class `HadoopGroupGate`

    - #### run

          public void run(java.lang.Object input)
                   throws java.lang.Throwable

      Specified by:
        `run` in interface `InputSource`
      Throws:
        `java.lang.Throwable`

    - #### reduce

          protected abstract java.lang.Throwable reduce()
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### wrapGroupingAndCollect

          protected void wrapGroupingAndCollect(Duct previous,
                                    int ordinal,
                                    Tuple valuesTuple,
                                    Tuple groupKey)
                                         throws java.io.IOException

      Specified by:
        `wrapGroupingAndCollect` in class `HadoopGroupGate`
      Throws:
        `java.io.IOException`

    - #### createOutputCollector

          protected OutputCollector createOutputCollector()

      Specified by:
        `createOutputCollector` in class `HadoopGroupGate`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.